(function ( $ ) {
	'use strict';

	qodefCore.shortcodes.ginevra_core_custom_font = {};

	$( document ).ready(
		function () {
			qodefCustomFont.init();
		}
	);

	var qodefCustomFont = {
		init: function () {
			this.holder = $( '.qodef-custom-font' );

			if ( this.holder.length ) {
				this.holder.each(
					function () {
						qodefCustomFont.initItem( $( this ) );
					}
				);
			}
		},
		initItem: function ( $holder ) {

			qodefCore.qodefIsInViewport.check(
				$holder,
				function () {
					var $lines = $holder.find( '.qodef-m-title--underlined' );

					if ( $lines.length ) {
						$lines.each(
							function ( i ) {
								var $line = $( this );

								setTimeout(
									function () {
										$line.addClass( 'qodef-line--appeared' );
									},
									400 * i
								);
							}
						);
					}
				},
			);
		},
	};

	qodefCore.shortcodes.ginevra_core_custom_font.qodefCustomFont = qodefCustomFont;
	qodefCore.shortcodes.ginevra_core_custom_font.qodefAppear     = qodef.qodefAppear;
	qodefCore.shortcodes.ginevra_core_custom_font.qodefSplitting  = qodef.qodefSplitting;

})( jQuery );
